#
# spec file for package perl-Tk-TableMatrix
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Tk-TableMatrix
Name:           perl-Tk-TableMatrix
Version:        1.29
Release:        2.6
#Upstream: CHECK(Artistic-1.0 or GPL-1.0-or-later)
License:        (Artistic-1.0 OR GPL-1.0-or-later) AND TCL
Summary:        Table/Matrix Widget Extension to perl/tk
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/C/CA/CAC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.52
BuildRequires:  perl(Tk) >= 800.022
BuildRequires:  perl(Tk::MMutil)
Requires:       perl(Tk) >= 800.022
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  perl-Tk-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xproto)
# MANUAL END

%description
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

%prep
%autosetup  -n %{cpan_name}-%{version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644
# MANUAL BEGIN
if test "%{_lib}" = "lib64" ; then
  sed -i -e "s,/lib>,/lib64>," -e "s,/lib\",/lib64\"," myConfig
fi
# Fix rpmlint warning "wrong-file-end-of-line-encoding"
sed -i 's/\r$//' ChangeLog Changes README demos/*

# Copy license
cp -a pTk/license.terms license.terms.pTk
cp -a pTk/mTk/license.terms license.terms.mTk
# MANUAL END

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc ChangeLog Changes demos README
%license COPYING license.terms.mTk license.terms.pTk
%exclude %{perl_vendorarch}/auto/Tk/pTk

%changelog
* Thu May 11 2023 Dirk Stoecker <opensuse@dstoecker.de>
- update cpanspec.yml and recreate spec file
* Sun May  7 2023 Jan Engelhardt <jengelh@inai.de>
- Replace xorg-x11-devel by pkgconfig(...)
* Wed Feb 15 2023 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 1.29
  see /usr/share/doc/packages/perl-Tk-TableMatrix/ChangeLog
* Thu Feb  3 2022 Dirk Stoecker <opensuse@dstoecker.de>
- removed useless conflicting file
* Thu Jan 20 2022 Asterios Dramis <asterios.dramis@gmail.com>
- Updated License to "(Artistic-1.0 OR GPL-1.0-or-later) AND TCL".
- Added perl(ExtUtils::MakeMaker) build requirement.
- Removed dos2unix, xorg-x11, xorg-x11-Xnest, xorg-x11-Xvfb,
  xorg-x11-fonts-100dpi, xorg-x11-fonts-75dpi and
  xorg-x11-fonts-scalable build requirements (not needed anymore).
- Run spec cleaner.
* Thu Oct 29 2020 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 1.26
  see /usr/share/doc/packages/perl-Tk-TableMatrix/ChangeLog
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jun 20 2006 jfunk@funktronics.ca
- Update
* Fri Nov 11 2005 jfunk@funktronics.ca
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Update
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Build for SL92
* Tue May 11 2004 jfunk@funktronics.ca
- Update
- Build for SL91
* Mon Nov  3 2003 jfunk@funktronics.ca
- Build for SUSE 9.0
* Fri May 30 2003 jfunk@funktronics.ca
- Build for SuSE 8.2
* Wed Dec 11 2002 jfunk@funktronics.ca
- Update to 1.01
- Build for SuSE 8.1
* Thu Jun 13 2002 jfunk@funktronics.ca
- Initial build
